////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2008, Lawrence Livermore National Security,
// LLC. Produced at the Lawrence Livermore National Laboratory. 
// Written by Erik Draeger, draeger1@llnl.gov.
//
// LLNL-CODE-432558 All rights reserved.  
//
// This file is part of bigFFT.
//
// bigFFT is distributed under the terms of the GNU General Public License
// as published by the Free Software Foundation, either version 2 of
// the License, or (at your option) any later version.
// See the file COPYING in the root directory of this distribution
// or <http://www.gnu.org/licenses/>.
////////////////////////////////////////////////////////////////////////////////
#ifdef USE_SINGLEPREC_FFT
typedef float FftCommType; 
typedef float complex FftDataType; 
#define FFT_COMM_TYPE MPI_FLOAT 
#else
typedef double FftCommType; 
typedef double complex FftDataType; 
#define FFT_COMM_TYPE MPI_DOUBLE
#endif
